<!DOCTYPE html>
<html>
<head>
	<title>月份坐标轴</title>
	<meta type="Content-type" content="text/css;charset=utf-8"/>
</head>
<body>
	<canvas id="drawing" width="800" height="200"></canvas>
	<script type="text/javascript">
			var _data=[],dataData=["1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"];
			/*
			Object.assign(target, …sources)
			：函数参数为一个目标对象（该对象作为最终的返回值）,源对象(此处可以为任意多个)通过调用该函数可以拷贝所有可被枚举的自有属性值到目标对象中。
			 */ 
			/*
			reverse()
			：把数组中的元素倒序排列
			 */
			var dataDataRet=Object.assign([],dataData).reverse();
			// console.log(dataDataRet);
			var yearText=new Date().getFullYear();
			var now=new Date().getMonth();
			for(let i=0;i<=6;i++){
				if(now-i<0){
					/*
					Math.abs()
					：求数值得绝对值
					 */ 
					_data.push(yearText-1+"年"+dataDataRet[Math.abs(now-i)-1]);
				}else{
					_data.push(yearText+"年"+dataData[now-i]);
				}
			}
			var data=_data.reverse();
			console.log(data);
		var draw=document.getElementById("drawing");
		if(draw.getContext){
			var context=draw.getContext("2d");
			context.beginPath();
			context.moveTo(35,100);
			context.lineTo(600,100);
			context.moveTo(50,125);
			context.lineTo(50,55);
			context.font="bold,14px,Arial";
			context.textAlign="center";
			context.textBaseline="bottom";
			context.fillText(0,45,100);
			context.stroke();
			for(let i=0;i<data.length;i++){
				context.fillText(data[i],80*(i+1),120);
				context.stroke();
			}
		}
		
		
	</script>
</body>
</html>